The list of database sources

package | phpLDAPadmin
subpackage | DataStore

### Methods

## Return an object Instance of a configured database.

    Instance(int $index) : object

### Parameters

#### $index

`int`

Index

### Returns

`object`Datastore instance object.

## Return an object Instance of a configured database.

    InstanceId(string $id) : object

### Parameters

#### $id

`string`

ID of the instance to retrieve

### Returns

`object`Datastore instance object.

## Return an object Instance of a configured database.

    InstanceName(string $name) : object

### Parameters

#### $name

`string`

Name of the instance to retrieve

### Returns

`object`Datastore instance object.

## __construct()

    __construct()

## Get a list of all the configured servers.

    getServerList(boolean $isVisible) : array

### Parameters

#### $isVisible

`boolean`

Only show visible servers.

### Returns

`array`list of all configured servers.

## Create a new database object

    newServer($type)

### Parameters

#### $type

## Set values for a database object.

    setValue($key, $setting, $value)

### Parameters

#### $key

#### $setting

#### $value

### Properties

## $default

    $default

## $index

    $index

## $objects

    $objects